Portfolio

Get an investor by source ID

GET/portfolio/investors/source/{sourceId}

Returns the full details of a single investor record identified by its source system identifier (e.g., the ID from Horizon).

Path parameters

  • sourceIdstringRequired#

Responses

200

InvestorResource

PortfolioInvestorResource
{
  "data": {
    "id": 1,
    "client_reference": "string",
    "guid": "string",
    "email": "string",
    "source": "string",
    "name": "string",
    "source_id": "string",
    "created_at": "string",
    "updated_at": "string"
  }
}
403

Authorization error

Examples

curl https://your-org-domain/kong/core/api/v2/portfolio/investors/source/{sourceId}\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"